<?php

	class UserController extends Controller {

		/**
		 * Setup the layout used by the controller.
		 *
		 * @return void
		 */
	
	
	// Added by Balaji July 11, 2020  
	public function getdashboard()
	{ 
		if (Auth::check()){
			
			
			return View::make('dashboard.dashboard')->with('user',Auth::User());	
		
		}
		else{
			
			return Redirect::to('/login')->with('msg_danger', 'Session Expired');
		
		}		
	
	}
	//End

	// Added by Balaji Feb 18, 2020  
	public function getusers($admin_id=null)
	{ 
		$user = User::find($admin_id);		
		$users = User::all();

		if (isset($admin_id)){
			return View::make('users.user')->with('user',$user)->with('$admin_id',$admin_id);	
		}
		else{
			return View::make('users.user')->with('users',$users);
		}		
	
	}

	
	//add and edit user get method	
	public function editUser($admin_id)
	{
		
		$user = User::find($admin_id);
// 		var_dump($user);
// 		exit();
		return Redirect::to('users/'. $admin_id)->with('user',$user);
		
	}



//-------------------------------------------------------

//add and edit item post method

	public function postUser($admin_id=null)
	{
		
		$rules=array(
			
			'user_name' => 'required',
			'employee_id' => 'required',
			'mobile_no' => 'required|alphaNum|max:10',
			'email_id' => 'required',
			'password' => 'required'	    
					
		);

	// validate rules on the inputs from the form
	$validator = Validator::make(Input::all(), $rules);	
		if ($validator->passes())
		{
			
			if (isset($admin_id))
				{
					
					$user = User::find($admin_id);
					
				}
				else
				{				
					$user = new User();
				}        

				$user->user_name = Input::get('user_name');
				$user->employee_id = Input::get('employee_id');
				$user->mobile_no = Input::get('mobile_no');
				$user->email_id = Input::get('email_id');
				$user->role = Input::get('role');
		        
		        $password=Input::get('password');
            	$user->password      = Hash::make($password);
            	$user->temp_password = $password;		
				$user->save();
				
				return Redirect::to('/users');

			}
		else	
		{	
			return Redirect::to('/users')->withErrors($validator->errors());   	  

		}
	

	}


//-------------------------------------------------------------//
//USER PAGE

//DeleteUser get method



  	public function deleteuser($admin_id) {

  		
  		$user = User::where('admin_id',$admin_id)->delete();

            return Redirect::to('/users');

  	}
		
//END	
			
//-----------------------------------------------------------//  
		
	public function registerget()
	{ 
		//show the form		  
	return View::make('auth.register');
	}	
	
	  public function registerpost()
	{ 
	    //validate the info, create rules for the inputs
	$rules = array(
	'admin_name'    => 'required',
	'mobile_no'     => 'required|alphaNum|max:10', 
	'email_id'      => 'required', 
	'password'      => 'required',   
	);
	      // run the validation rules on the inputs from the form
	$validator = Validator::make(Input::all(), $rules);
	      // if the validator fails, redirect back to the form
	if ($validator->fails())
	{
	return Redirect::to('register')->withErrors($validator->errors());
	}

	$password=Input::get('password');

	$tm_user= new User;
	      //$user->Id=Input::get('Id');
	$tm_user->user_name    = Input::get('admin_name');
	// var_dump($tm_user->user_name);
	// exit();
	$tm_user->mobile_no     = Input::get('mobile_no');
	$tm_user->email_id      = Input::get('email_id');
	$tm_user->password      = Hash::make($password);
	$tm_user->temp_password = $password;
	$tm_user->save();
	$success = Session::get('success');
	return Redirect::to('/login')->with('msg_success', 'Register Successfully');
	} 

	public function tmgetlogin()
	{
	    // show the form
	  return View::make('login.login');
	   // return View::make('loginnew');
	}

	public function tmpostlogin()
	{

	    
	  // create our user data for the authentication
	    $userdata = array(
	        'email_id'     => Input::get('email_id'),
	        'password'     => Input::get('password')
	    );     
	   // var_dump($userdata);
	   // exit(); 
	  // validate the info, create rules for the inputs
	    $rules = array(
	      'email_id'    => 'required|email', // make sure the email is an actual email
	      'password' => 'required' // password can only be alphanumeric and has to be greater than 3 characters
	    );
	    // run the validation rules on the inputs from the form
	  $validator = Validator::make(Input::all(), $rules);


	// if the validator fails, redirect back to the form
    	if ($validator->fails()) {
            
    
    		Session::flash('msg_danger','Please enter Email and Password');
    	    return Redirect::to('login')->withInput();
    	        // ->withErrors($validator) // send back all errors to the login form
    	        // ->withInput(Input::except('password')); // send back the input (not the password) so that we can repopulate the form
    	} 
    	else
    	{
    	  	
    	  	$email      =   Input::get('email_id');
    	    $password   =   Input::get('password');
    	   
    	   // var_dump($password);
    	   // exit();
    
    	    $user=null;
    	     
    	   $users = User::where('email_id',$email)->get();
    	   //$users = User::where('email_id',$email)->first();
    
    	       // var_dump($users);
    	       // exit();
    
    	     foreach ($users as $key => $value)
    	      {
    	           if(Hash::check($password,$value->password))
    	             {      //var_dump($value->password);
    	                  // var_dump($value);
    	                  //exit();
    	                  $user = $value;
    	             //      var_dump($user);
    	             //      exit();
    	                    
    	            }
    	      }

	          if ($user !=null)
	            {
                    
        	      Auth::login($user);
        	      // var_dump(Auth::user()->name);
        	      // exit();
        	      
        	      $mobile=$user->phonenumber;
        	          $msg ="Login Successful!";
        	      //   $sms= Helper::sendSMS($mobile,$msg);
			
	                return Redirect::to('/')->with('msg_success', 'Login Successful!');
	               }
	            else
	            
	                return Redirect::to('/login')->with('msg_danger', 'Login Failed');
	             

	       }
	       

	}
	public function forgetget()
          {
              // show the form
           return View::make('forget.forgetpassword');
          }

          public function forgetpost()
          {

            $mobile=Input::get('mobile_no');
            $datetime =  date("Y-m-d H:i:s");
             $user = User::where('mobile_no',$mobile)->first(); 

                if ($user==null ) 
                  {    
                    return Redirect::to('forget')->withInput()->with('msg_danger','Invalid mobile number');
                  }
                  else
                  {      
                        $otp=Helper::randomPassword();
                        $msg ="hai your otp $otp";
                        Helper::sendSMS($mobile,$msg);
                        $user->otp = $otp;
                        $user->otp_at=$datetime;
                        // var_dump($otp);
                        // exit();
                        $user->save();
                        //return View::make('otpverify')->with('user_id',$user_id);
                       return Redirect::to('otpveification/'.$user->admin_id)->with('msg_success','OTP saved');
                  }
                       
          }
            public function otpverifyget($admin_id)
          {
              // show the form
           return View::make('otpverify.otpverify')->with('admin_id',$admin_id);
         }

           public function otpverifypost($admin_id)
         {
          // $user              = User::find($user_id);
          $otp=Input::get('otp');
        //  $user_id=Input::get('user_id');
           $user = User::find($admin_id);
           // var_dump($user);
           // exit();
             if($user->otp == $otp)
            {  

           return Redirect::to('resetpassword/'.$user->admin_id)->with('msg_success','Set your new password');
            }
         else
         {
          return Redirect::to('otpveification'.$user->admin_id)->with('msg_danger','Invalid OTP');
          }
    }
    public function resetget($admin_id)
          {
              // show the form
           return View::make('resetpwd.confirmpassword')->with('admin_id',$admin_id);
          }

    public function resetpost($admin_id)
          {
              $rules = array(
          'password'   => 'required',
    'confirm_password' => 'required_with:password|same:password' 
      );
      // run the validation rules on the inputs from the form
      $validator = Validator::make(Input::all(), $rules);
      // if the validator fails, redirect back to the form
       if ($validator->fails())
          {
              return Redirect::to('resetpassword')->with('msg_danger', 'Enter correct Password');
          }
        else
        {
          $resetpassword = User::find($admin_id); 
          $password=Input::get('password');

        // $resetpassword= new User;
            $resetpassword->password      = Hash::make($password);
            $resetpassword->temp_password = $password;
            $resetpassword->save();

          return Redirect::to('login')->with('msg_success', 'Password Changed');
            }
          }

	   public function logout()
	    {
	    	 Auth::logout();
	    	 return Redirect::to('login');
	    }
}