@extends('layout.layout')
@section('title','Measurement Form') 
@section('head_title','Measurement Form')


@section('content') 

<form class="itemform" action="{{  url('measurements/step1/'.$measurement->measurement_id .'/' .$measurement_item_id) }}" method="POST">

<section class="row">
	<div class="col-sm-12">
		<section class="row">
			<div class="col-12">
				<div class="form-group row">
					<label class="col-md-2 col-form-label"><b>{{isset($measurement_item->measurement_item_id)?'Measurement Id:':'Measurement Id:'}}</b> </label>
					<label class="col-md-2 col-form-label"> 
					{{isset($measurement->measurement_id)?$measurement->measurement_id:$measurement_id}}
					</label>
					<label class="col-md-2 col-form-label"><b>Customer Name:</b></label>
					<label class="col-md-2 col-form-label" id="cusname">
					{{isset($customer->name)?$customer->name : null}}
					</label>
					<label class="col-md-2 col-form-label"><b>Executive:</b></label>
					<!-- added by Balaji on July 7, 2020 -->
					@if (Auth::check())
					<label class="col-md-2 col-form-label" id="executive">					
					{{Auth::user()->user_name}}
					</label>
					@endif
					<!-- end -->
					
				</div>	
				<div class="card mb-4">
					<div class="card-block">
						<h3 class="card-title"></h3>
						
							<div class="form-group row">
								<label class="col-md-2 col-form-label">Room <b style= 'color:red'>*</b></label>
								<div class="col-md-10">
								{{Form::select('room', $sel,isset($measurement_item->room)?$measurement_item->room:null, ['class' => 'form-control', 'id' =>'ddlrooms', 'name' =>'room'])}}
								<span id="msg_ddlrooms" class="error"></span>
								</div>
								
							</div>
							<div class="form-group row">
								<label class="col-md-2 col-form-label">Item <b style= 'color:red'>*</b></label>							
								<div class="col-md-4">
								{{Form::select('item_name', $ite, isset($measurement_item->item_name)?$measurement_item->item_name:null, ['class' => 'form-control', 'id' =>'itemname', 'name' =>'item_name'])}}
								<span id="msg_itemname" class="error"></span>
								</div>
								
								<label class="col-md-2 col-form-label">Item Type</label>
								<div class="col-md-4">
								{{Form::select('item_type', $itemtype, isset($measurement_item->item_type)?$measurement_item->item_type:null, ['class' => 'form-control', 'id' =>'item_type', 'name' =>'item_type'])}}
								<span id="msg_itemtype" class="error"></span>
								</div>
							</div>
							
							<div class="form-group row">
								<label class="col-md-2 col-form-label">Height <b style= 'color:red'>*</b><br>(in)</label>
								<div class="col-md-2">
									<input type="text" value="{{isset($measurement_item->height)?$measurement_item->height : null}}" name="height" class="form-control" id="height">
									<span id="msg_height" class="error"></span>
								</div>
								<label class="col-md-2 col-form-label">Width <b style= 'color:red'>*</b><br>(in)</label>
								<div class="col-md-2">
									<input type="text" value="{{isset($measurement_item->width)?$measurement_item->width : null}}" name="width" class="form-control" id="width">
									<span id="msg_width" class="error"></span>
								</div>
								<label class="col-md-2 col-form-label">Parts <b style= 'color:red'>*</b></label>
								<div class="col-md-2">
									<input type="text" value="{{isset($measurement_item->parts)?$measurement_item->parts : null}}" name="parts" class="form-control" id="parts">
									<span id="msg_parts" class="error"></span>
								</div>
							</div>

							<div class="form-group row">
								<!-- <label class="col-md-2 col-form-label">Rod</label>
								<div class="col-md-2">
								{{Form::select('rod', $rod, isset($measurement_item->rod)?$measurement_item->rod: null, ['class' => 'form-control', 'id' =>'rod', 'name' =>'rod'])}}
									<span id="msg_rod" class="error"></span>
								</div> -->
								<label class="col-md-2 col-form-label">Item Numbers</label>
								<div class="col-md-2">
									<input type="text" value="{{isset($measurement_item->item_number)?$measurement_item->item_number : 1}}" name="item_number" class="form-control" id="itemnumber">
									<span id="msg_itemnumber" class="error"></span>
								</div>

								
								<label class="col-md-2 col-form-label box">Lining</label>
								<div class="col-md-2 box">
								{{Form::select('lining', $lining, (isset($measurement_item->lining)?$measurement_item->lining: ''), ['class' => 'form-control box', 'id' =>'lining', 'name' =>'lining'])}}																		
									<span id="msg_lining" class="error"></span>
								</div>

								<label class="col-md-2 col-form-label box">Stitching Pattern</label>
								<div class="col-md-2 box">
								{{Form::select('stitchpattern', $stitchpattern,(isset($measurement_item->stitchpattern)?$measurement_item->stitchpattern: ''), ['class' => 'form-control box', 'id' =>'stitchpattern', 'name' =>'stitchpattern'])}}
									<span id="msg_stitchpattern" class="error"></span>
								</div>
								
							</div>

							<div class="form-group row">
								<!-- <label class="col-md-2 col-form-label">Number</label>
								<div class="col-md-3">
									<input type="text" value="{{isset($measurement_item->item_number)?$measurement_item->item_number : 1}}" name="item_number" class="form-control" id="itemnumber">
									<span id="msg_itemnumber" class="error"></span>
								</div> -->

								<div class="col-md-12 text-right">
									<input type="submit" class="btn btn-sm btn-success" id="add_item" name="add_item" value="{{intval($measurement_item_id) > 0?'Update Item':'Add Item'}}">	
								</div>	

							</div>

							<div class="form-group row ScrollStyle">
								<div class="col-md-12">
									<table class="table table-bordered table-hover table-striped">
										<thead>
											<tr>
												<th>#</th>
												<th>Room</th>
												<th>Item</th>
												<th>Number</th>
												<!-- added by Balaji Feb 12, 2020   -->
												<th>Height <br>(in)</th>
												<th>Width <br>(in)</th>
												<!-- END -->
												<!-- added by Balaji Feb 17, 2020   -->
												<th>Item Type</th>
												<th>Lining</th>
												<th>Stitch<br>Pattern</th>
												<th>Adjusted<br>Height<br>(in)</th>
												<th>Length<br>(m)</th>
												<th>Parts</th>
												<th>Total</th>
												<th>Lining<br>Length</th>
												<!-- END -->
												<th>Add<br>Fabric</th>
												<th></th>												
											</tr>
											
										</thead>
									<form class="itemlist" action="step1/{measurement_id}" method="POST">
										<tbody>
										@if(isset($itemdetails) && $sno=count($itemdetails) )
										@foreach ($itemdetails as $key => $itemdetail)

										<tr>							
											<td>{{ $sno-- }}</td>
											<td>{{ $itemdetail->room }}</td>
											<td>{{ $itemdetail->item_name }}</td>
											<td>{{ $itemdetail->item_number }}</td>
											<!-- added by Balaji Feb 12, 2020   -->
											<td>{{ $itemdetail->height }}</td>
											<td>{{ $itemdetail->width }}</td>
											<!-- END -->
											<!-- added by Balaji Feb 17, 2020   -->
											<td>{{ $itemdetail->item_type }}</td>											
											@if ($itemdetail->item_type == "Curtain" )
											<td>{{ $itemdetail->lining }}</td>
											<td>{{ $itemdetail->stitchpattern }}</td>
											@else
											<td>{{ 'Nil' }}</td>
											<td>{{ 'Nil' }}</td>
											@endif
											@if ($itemdetail->item_type == "Curtain" )
											<td>{{ $itemdetail->adjusted_height }}</td>
											<td>{{ $itemdetail->length }}</td>
											@else
											<td>{{ 'Nil' }}</td>
											<td>{{ 'Nil' }}</td>
											@endif
											<td>{{ $itemdetail->parts }}</td>	
											@if ($itemdetail->item_type == "Curtain" )
											<td>{{ $itemdetail->total }} m</td>
											<td>{{ $itemdetail->lining_length }} m</td>
											@else
											<td>{{ $itemdetail->total }} Sq.ft</td>
											<td>{{ 'Nil' }}</td>
											@endif

											<!-- END -->
											<td>
												
												<button type="button"  id="show{{ $itemdetail->measurement_item_id }}" data-toggle="0" data-id="{{ $itemdetail->measurement_item_id }}" class="btn btn-sm btn-success btntoggle" ><span class=" fa fa-plus "></span>
												</button>									
												<!-- <a  href="#" onclick="return hideshow({{$measurement->measurement_id}})">
												<i id="btn_{{$measurement->measurement_id}}" class="fa fa-minus"></i></a> -->                  	
											</td>

											<td><a href="{{ url('measurements/step1/'.$itemdetail->measurement_id .'/' .$itemdetail->measurement_item_id) }}"><span class='fas fa-pencil-alt' ></span>

											<a href="{{ url('measurements/delmeasurement/'.$itemdetail->measurement_id .'/' .$itemdetail->measurement_item_id) }}"><span class=" fa fa-trash-alt " style="color:red"></span></td>
											
										</tr>
										<tr>
										</tr>						
										<tr>
											<td colspan="12">
												<!-- <div id="demo_{{$itemdetail->measurement_item_id}}" style="display:none">
												</div>							 -->
											</td>
										</tr>
											
											@endforeach
											@else
											<tr>
											<td class="alert-danger text-center" colspan="8">
											<h5>Items not Found</h5>
											</td>
											</tr>
											@endif
																	
										</tbody>
									</form>
									</table>
								</div>								
							</div>							

							<br>
							<div class="container">
							<div class="row">
								
								<div class="col-md-4">
									<a href="{{ URL::to('quotations/quotationsave') }}" class="btn btn-sm btn-primary"><b>Quotation</b></a>
									
								</div>
								<div class="col-md-4">
									<a href="{{ URL::to('measurements/') }}" class="btn btn-sm btn-primary"><b>Index</b></a>								
									
								</div>
								<div class="col-md-4">
									<a href="{{ URL::to('measurements/addmeasurement') }}" class="btn btn-sm btn-primary"><b>Exit</b></a>
									<!-- <button type="button" class="btn btn-sm btn-primary" id="exit" onclick="return loadPage()">Exit
									</button> -->
								</div>   
							</div>
						</div><br>							
						
					</div>
				</div>
			</div>
		</section>
		
		
		<section class="row">
			<div class="col-12 mt-1 mb-4">Supported by <a href="https://www.numerotec.com">Numero Technologies</a></div>
		</section>
	</div>
</section>


</form>


<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Add accessory</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
			<div id="demo">
			</div>							
      </div>      
    </div>
  </div>
</div>

  @stop

  @section('bottom_script')

	<script type="text/javascript">

	$( document ).ready(function() {
		
		//--------- ADDED BY BALAJI ON JULY 21, 2020--------------

		$('#lining').hide();
        $('#stitchpattern').hide(); 

		$("#item_type").change(function(){
	         
	         $(this).find("option:selected").each(function(){

	            var optionValue = $(this).attr("value");
	            console.log(optionValue);
	            
	            if(optionValue == "Curtain"){	                
	                $(".box").show();
	                // $('#stitchpattern').show();
	            } else{
	            	console.log('hello');
	                $(".box").hide();
	                // $("#lining").hide();
	                // $("#stitchpattern").hide();
	            }
	         });
    	}).change();

		//------ END-----------------		
		// $('#ddlrooms').selectize({
	    // create: true,
	    // sortField: 'text'
		// });

		$('.btntoggle').click(function()
		{
			
			var  measurement_item_id= $(this).attr('data-id');
			loadForm(measurement_item_id)
			$('#myModal').modal('show')
						
			// var  measurement_item_id= $(this).attr('data-id');
			// var  toggle = $(this).attr('data-toggle');
			// if(measurement_item_id>0)
			// {
			// 	if(toggle == 0)
			// 	{
			// 		loadForm(measurement_item_id)
			// 	}
			// 	else{
			// 			toggle_btn('#show'+measurement_item_id,'#demo_'+measurement_item_id)
			// 	}

				
			// }
				
		});
		

	});

	// function loadForm1()
	// {
	// 	var measurement_item_id =13;
	// 	alert("test ")
	// 	toggle_btn('#show'+measurement_item_id ,'#demo_'+measurement_item_id)
	// }

	function loadForm(measurement_item_id) 
	   {			
		//$('#demo_'+measurement_item_id).html("");
		//var measurement_item_id = measurement_item_id;
		//alert(measurement_item_id)

			$.ajax(
	   		{
		        url : baseUrl+'/measurements/step2/'+measurement_item_id,
		        type: "get",
		        dataType: 'html',
		        data: { },
		        success: function (data) {				     
					
				     $('#demo').html(data);			     
					 
				   },
				error: function (jqXhr, textStatus, errorMessage) {
				            alert('Error' + errorMessage);
				   }
		          
		    }); 
		}
		
	

	function saveForm(measurement_item_id) 
	{


   		$.ajax({
	        url : baseUrl+'/measurements/step2/'+measurement_item_id, 
	        type: "post",
	        dataType: 'html',
	        data: { accessory: $("#accessory_name").val(),
					color:$("#color").val(),
					length:$("#length").val(),
					measurement_item_id:$("#measurement_item_id").val()
	        	},
	        
	        success: function (data) {	        	
			   	
			   		$('#demo').html(data);
			   					   	
				},
			error: function (jqXhr, textStatus, errorMessage) {
			   		alert('Error' + errorMessage);
				}
	          
	      });
	    
	}


	$("#add_item").click(function(){   				

     		var valid = true;
     	
           var val1 = $('#ddlrooms').val();
           if(val1.length < 1) {           
           	valid=false;
            $("#msg_ddlrooms").text("Please select the room.");  

        	}
           
           var val2 = $('#itemname').val();
	        if (val2.length < 1) {
	        valid=false;                
	            $("#msg_itemname").text("Please select the item.");            
	        }          
         

        	var val3 = $('#height').val();
          if (val3.length <= 0) {                         
            valid=false;
              $("#msg_height").text("Please enter the height.");          
          }
          
          var val5 = $('#width').val();
           if (val5.length <= 0) {                
           valid=false;
            $("#msg_width").text("Please enter the width.");            
        	}
           
          var val6 = $('#parts').val();
           if (val6.length < 1) {                
            valid=false;
            $("#msg_parts").text("Please enter the parts.");            
        	}
          
          var val7 = $('#itemnumber').val();
	       if (val7.length < 1) {
	        valid=false;                
	        $("#msg_itemnumber").text("Please enter the number.");            
	        }          
           
      if(valid==false)
      {
         return false;
      }
        
   });



function loadPage($measurement_item_id, $measurement_id) 
	{	    
	
   		$.ajax({
	        url : baseUrl+'/measurements/step2/'+measurement_item_id, 
	        type: "post",
	        dataType: 'html',
	        data: { 
					accessory: $("#accessory_name").val(),
					color:$("#color").val(),
					length:$("#length").val(),
					measurement_item_id:$("#measurement_item_id").val()
	        	},
	        
	        success: function (data) {	        	
			   	
			   		$('#demo').html(data);
			   					   	
				},
			error: function (jqXhr, textStatus, errorMessage) {
			   		alert('Error' + errorMessage);
				}
	          
	      });

	}

	function toggle_btn(btnid,toggleid)
	{
		alert(btnid);
		alert(toggleid);
		var toggle =  $(btnid).attr('data-toggle');
		if(toggle == 0)
		{
			$(btnid).html("<span class=\" fa fa-minus \"></span>");
			$(toggleid).show();
			$(btnid).attr('data-toggle',1);
		}
		else
		{
			$(toggleid).hide();
			$(btnid).html("<span class=\" fa fa-plus \"></span>");
			$(btnid).attr('data-toggle',0)
		}

	}

</script>



 @stop
 
 