@extends('layout.layout')
@section('title','Measurement Form') 
@section('head_title','Measurement View')
@section('content') 
<form class="itemform" action="" method="POST">

<section class="row">
	<div class="col-sm-12"> 
		<section class="row">
			<div class="col-12">
				<div class="form-group row">					
					<label class="col-md-2 col-form-label"><b>{{isset($measurement_item->measurement_item_id)?'Measurement Id:':'Measurement Id:'}}</b> </label>
					<label class="col-md-2 col-form-label"> 
					{{isset($measurements->measurement_id)?$measurements->measurement_id:$measurement_id}}
					</label>
					<label class="col-md-2 col-form-label"><b>Customer Name:</b></label>
					<label class="col-md-2 col-form-label" id="cusname">
					{{isset($measurements->name)?$measurements->name : null}}
					</label>
					<label class="col-md-2 col-form-label"><b>Sales Executive:</b></label>
					<!-- added by Balaji on July 7,2020 -->
					<label class="col-md-2 col-form-label" id="executive">
					{{ isset($measurements->created_admin_name)?$measurements->created_admin_name : null }}
					</label>
					<!-- end -->
				</div>	
				<div class="card mb-4">
					<div class="card-block">
						<h3 class="card-title"></h3>

							<div class="form-group row ScrollStyle">
								<div class="col-md-12">
									<table class="table table-bordered">
										<thead class="thead-light">
											<tr>
												<th>#</th>
												<th>Room</th>
												<th>Item</th>
												<th>Item Type</th>
												<th>Number</th>												
												<th>Height <br>(in)</th>
												<th>Width <br>(in)</th>												
												<th>Parts</th>
												<th>Length<br>(m)</th>
												<th>Accessories</th>
                                 				<th>Total Length (m/Sq.ft)</th> 												
											</tr>											
										</thead>

									<tbody>
			                              @if(isset($measurementitems_db) && $sno=count($measurementitems_db) )                  
			                                 @foreach ($measurementitems_db as $key => $itemdetail)
			                                     

			                              <tr>                    
			                                 <td>{{ $sno-- }}</td>
			                                 <td>{{ $itemdetail->room }}</td>
			                                 <td>{{ $itemdetail->item_name }}</td>
			                                 <td>{{ $itemdetail->item_type }}</td>                     
			                                 <td>{{ $itemdetail->item_number }}</td>
			                                 <td>{{ $itemdetail->adjusted_height }} </td>
			                                 <td>{{ $itemdetail->width }}</td>                                 
			                                 <td>{{ $itemdetail->parts }}</td>
			                                 @if ($itemdetail->item_type == "Curtain" )
			                                 <td>{{ $itemdetail->length }}</td>
			                                 @else
											 <td>{{ 'Nil' }}</td>											
											 @endif
			                                 <td>
			                                 @if(isset($measurementaccessorys_db) && $tno=count($measurementaccessorys_db) )                           
			                                    @foreach ($measurementaccessorys_db as $key => $accessorydetail)
			                                       @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)
			                                                            
			                                          {{ $accessorydetail->accessory }} <br>
			                                                         
			                                       @endif      
			                                    @endforeach
			                                 @endif
			                                 </td>

			                                 <td style="font-weight: bold;">{{ $itemdetail->total }} 
				                                 @if($itemdetail->item_type == 'Curtain' )
				                                 	meters
				                                 @else
				                                 	Sq.ft
				                                 @endif
			                             	</td>                                               
			                              </tr>
			                                     

			                                 @endforeach
			                                    
			                              @endif
			                                                            
			                           </tbody>
									</table>
								</div>								
							</div>							

							<br>
							<div class="container">
							<div class="row">
								
								<div class="col-md-3">                           
									<a href="#1" class='btn btn-sm btn-warning' style='font-size:12px;color:green;font-weight:bold' onclick="location.href='{{ URL::to('/measurements/step1/'.$measurements->measurement_id) }}'">Edit Measurement Details</a>
								</div>
								<div class="col-md-2">                           
								    <button type="button" class="btn btn-sm btn-info btnduplicate" data-id="{{ $measurements->measurement_id }}">
                                        <strong>Duplicate</strong>
                                   </button>	
								</div>
								<div class="col-md-2">                           
								    <button type="button" class="btn btn-sm btn-success">
								        <a href="{{ URL::to('/quotations/quotationsave?measurement_id='.$measurements->measurement_id) }}">
								        	<span class=" fa fa-check " style="color:white">
								        		<strong>Generate Quotation</strong>
								        	</span>
								        </a>
								    </button>	
								</div>
								<div class="col-md-2">
									<input name="send_print" value="Print Measurement" type="button" class="btn btn-sm btn-primary" onclick="location.href='{{url('measurements/measurementprint/'.$measurements->measurement_id) }}'" style='font-weight:bold'>
								</div>
								<div class="col-md-1">
                                    <input name="cancel" type="button" class="btn btn-sm btn-danger" onclick="location.href='{{URL('measurements')}}'" value="Exit" style='font-weight:bold'>                           
								</div>
								<div class="col-md-2">
                                    <input name="send_print" value="Delete Measurement" type="button" class="btn btn-sm btn-warning" onclick="location.href='{{ url('measurements/delmeasurement/'.$itemdetail->measurement_id) }}'" style='font-weight:bold; font color: red'>                           
								</div>
								
								<!-- <div class="col-md-6">                           
									<a href="#1" class='btn btn-sm btn-warning' style='font-size:15px;color:green' onclick="location.href='{{ URL::to('/measurements/step1/'.$measurements->measurement_id) }}'">Edit Measurement Details</a>
								</div>								
								<div class="col-md-6">
                           			<strong><input name="cancel" type="button" class="btn btn-sm btn-danger" onclick="location.href='{{URL('measurements')}}'" value="Close"></strong>                           
									
								</div> -->   
							</div>
						</div><br>							
						
					</div>
				</div>
			</div>
		</section>
		
		
		<section class="row">
			<div class="col-12 mt-1 mb-4">Supported by <a href="https://www.numerotec.com">Numero Technologies</a></div>
		</section>
	</div>
</section>


</form>

<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">DUPLICATE</h5> 
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>            
      <div class="modal-body">
			<div id="demo">
         <div class="col-12">
	<div class="card mb-12"><br>
		<h4 class="card-title" align="center" style="color: blue"><b>Change Customer?</b></h4>
		<!-- <h3 class="card-title" align="center" style="color: blue"><b>Customer Information</b></h3> -->
		<form id="frm_duplicate" method="POST">  	
			<div class="container-fluid">
				<div class="form-group row">
				<div class="col-10"><br>            
					<label class="col-md-3 col-form-label"><b>Mobile</b></label>
					<input type="text" placeholder="Search.." name="mobile" id="mobile">							
					<button id="searchicon" type="button" name="search" class=" btn-dark">
						<b><i class="fa fa-search" id="" ></i></b>
					</button><br>
					<span id="msg_mob" class="error"></span>
					<span id="msg_name" class="error"></span>
					<span id="msg_address1" class="error"></span>
					<span id="msg_address2" class="error"></span>
					<span id="msg_address3" class="error"></span>					
				</div>
				<div class="col-12"><br>

					<div id="div_name" style="color: blue"></div>	
					<div id="div_address1" style="color: blue"></div>
					<div id="div_address2" style="color: blue"></div>
					<div id="div_address3" style="color: blue"></div>
					<div id="div_msg" style="color: red; font-weight: bold;"></div>
											
				</div>	
				</div>	
				<!-- <div class="form-group row">				
					<div class="col-8">
						<label class="col-md-3 col-form-label"><b>Date</b></label>
						<input type="text" name="date"id="date" value="{{isset($measurements->measurement_date)?$measurements->measurement_date : null}}"><br>
						<span id="msg_date" class="error"></span>
					</div>
				</div> -->
				<div class="form-group row">
					<div class="col-4"></div>						
					<div class="col-3">
						<div>
	                  		<button type="button" id="next" class="btn btn-sm btn-info">Next</button>
						</div>						
					</div>
					<div class="col-5">
						<div class="addCus">
							<!-- <input type="submit" class="btn btn-primary" id="next" name="next" value="Next"></input>  -->
							<button type="button" id="addCus" class="btn btn-sm btn-success " onclick="location.href='{{URL('customers/customer')}}'"> Add as New Customer
							</button>
						</div>
						
					</div>																
				</div>
										
			</div>	
         </form>
		</div>
			</div>							
      </div>      
    </div>
  </div>
</div>

<div id="ex1" class="modal">
  <p>Thanks for clicking. That felt good.</p>
  <a href="#" rel="modal:close">Close</a>
</div>

  @stop

  @section('bottom_script')

  <script type="text/javascript">


	$(document).ready(function() 
	{

       $('.btnduplicate').click(function()
		{
			$('#myModal').modal('show')
         m_id = $(this).attr('data-id');         
         alert(m_id);
         	$("#addCus").hide();
				
		});

      $('#next').click(function()
		{
         url=baseUrl + "/measurements/duplicate/"+ m_id + "/"+c_id;
         $("#frm_duplicate").attr('action',url);
         $("#frm_duplicate").submit();
      	
      	});

      //-----------------------
      $("#searchicon").click(function(){
         var valid = true;         
         
         $("#msg_mob").text("");
         $("#next").hide(); 
         $("#addCus").hide(); 
      	
         var mo = $('#mobile').val();
         if(mo.length < 1) {           
            valid=false;			         
            $("#msg_mob").text("Please enter the customer mobile number.");  
            mobile.focus();
            return false;
         }			              

         var result = '';

         $.ajax({
            url : baseUrl+'/measurements/getaddress',
            type: "POST",
            dataType: 'json',
            data: { mob : $('#mobile').val()},
            success: function (data) {
               console.log(data);	          	
               if(data.code=="1")
               {
                  c_id = data.customer_id;
                  c_name = data.name;
                  //$("#div_name").text("");
                  $("#div_name").text(data.name);
                  $("#div_address1").text(data.address1);
                  $("#div_address2").text(data.address2);
                  $("#div_address3").text(data.address3);
                  $("#div_msg").text("Verify Customer details before clicking on Next.");
                  $("#next").show();
                  $(".addCus").hide();


               }
               else if(data.code=="-1") // -1
               {
                  $("#div_name").text("");
                  $("#div_address1").text("");
                  $("#div_address2").text("");
                  $("#div_address3").text("");
                  $("#msg_mob").text("Please add as new customer.");
                  $("#addCus").show();
                  $("#div_msg").hide();  
               }
               

            },

            error: function (jqXhr, textStatus, errorMessage) {
                  alert('Error' + errorMessage);
            }
         }); 
         return result;
      });


	});
   

</script>

 @stop
 