<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
    <meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0;" />
	<!--<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">-->
	<meta name="description" content="">
	<meta name="author" content="">
	<link rel="icon" href="images/favicon.ico">
	<title>@yield('title')</title>

    <!-- Bootstrap core CSS -->
    <link href="{{ asset('dist/css/bootstrap.min.css') }}" rel="stylesheet">
    
    <!-- Icons -->
    <link href="{{ asset('css/font-awesome.css') }}" rel="stylesheet">
    
    <!-- Custom styles for this template -->
    <link href="{{ asset('css/style.css') }}" rel="stylesheet">
    <!--<link href="{{ asset('css/selectize.css') }}" rel="stylesheet">-->

    <!--theme format-->
    <link href="{{ asset('/css/selectize.bootstrap3.css') }}">
      	
    <link href="{{ asset('css/theme.css') }}" rel="stylesheet">


   <!--  Date picker format -->
    <!--Jquery validate for this template --> 	

<!-- font awesome -->
<!-- <link href="{{ asset('css/all.css') }}" rel="stylesheet"> -->
<link rel='stylesheet' href='https://use.fontawesome.com/releases/v5.7.0/css/all.css' integrity='sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ' crossorigin='anonymous'>
</head>
<body>
	<div class="container-fluid" id="wrapper">
		<div class="row">
			@include('layout/menu')
			
			<main class="col-xs-12 col-sm-8 col-lg-9 col-xl-10 pt-3 pl-4 ml-auto">
				<header class="page-header row justify-center">
				   <div class="col-md-6 col-lg-8" >
				      <h1 class="float-left text-center text-md-left">@yield('head_title')</h1>
				   </div>
				   <div class="dropdown user-dropdown col-md-6 col-lg-4 text-center text-md-right">
				      <a class="btn btn-stripped dropdown-toggle" href="#" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">				         
				         <div class="username mt-1">
				           @if (Auth::check())
				            <h5 class="mb-1">{{Auth::user()->user_name}}</h5>
				              <h6 class="text-muted">{{Auth::user()->role}}</h6>
				          @endif
				         </div>
				         
				      </a>
				      <div class="dropdown-menu dropdown-menu-right" style="margin-right: 1.5rem;" aria-labelledby="dropdownMenuLink"><a class="dropdown-item" href="#"><em class="fa fa-user-circle mr-1"></em> View Profile</a>
				         <a class="dropdown-item" href="#"><em class="fa fa-sliders mr-1"></em> Preferences</a>
				         <a class="dropdown-item" href="#"><em class="fa fa-power-off mr-1"></em> Logout</a>
				      </div>
				   </div>
				   <div class="clear"></div>
				</header>
				<!-- Session message for after delete single row -->
				@if(Session::has('msg_success'))
					<div class="row">	
					  <div class="col-sm-12">
						<div class="alert alert-success alert-block">
					<button type="button" class="close" data-dismiss="alert">×</button>	
					    	<strong>{{ Session::get('msg_success') }}</strong>
					  	</div>
					  </div>
					</div>   
				@endif
				@if(Session::has('msg_danger'))
					<div class="row">	
					  <div class="col-sm-12">
						<div class="alert alert-danger alert-block">
					<button type="button" class="close" data-dismiss="alert">×</button>	
					    	<strong>{{ Session::get('msg_danger') }}</strong>
					  	</div>
					  </div>
					</div>   
				@endif
				@yield('content')  

	  
			</main>
		</div>
	</div>
 

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->


  	<script src="{{ asset('/js/jquery.min.js') }}"></script>
  	<script src="{{ asset('/js/jquery.validate.min.js') }}"></script>
  	<script src="{{ asset('/js/bootstrap.min.js') }}"></script>
    <script src="{{ asset('/js/selectize.js') }}"></script>
    <!--<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">-->
    <!--<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>-->
    <!--<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>-->
    
 	<script>
	//     var startCharts = function () {
	//                 var chart1 = document.getElementById("line-chart").getContext("2d");
	//                 window.myLine = new Chart(chart1).Line(lineChartData, {
	//                 responsive: true,
	//                 scaleLineColor: "rgba(0,0,0,.2)",
	//                 scaleGridLineColor: "rgba(0,0,0,.05)",
	//                 scaleFontColor: "#c5c7cc "
	//                 });
	//             }; 
	//         window.setTimeout(startCharts(), 1000);
	  </script>
    
    <script type="text/javascript">
    	var baseUrl = "{{ url('/') }}";
        
        $('#menu-toggle').click(function(){
            $(this).next().slideToggle();
        });
    </script>
    
	@yield('bottom_script')

	</body>
</html>
