@extends('layout.layout')
@section('title','User Information ') 
@section('head_title','User Information')
@section('content') 

<form  class="cmxform" id="user" name="myForm" action="{{  url('users/'.$user->admin_id) }}"  method="post" >

 <div class="row">
      <div class="col-sm-12">
         <div class="card">         
            <div id="header_id" class="card-header text-white bg-primary">              
               <div class="row">
                     <div class="col-sm-7">
                     @if($user->admin_id>0)       
                        <i class="fa fa" aria-hidden="true">Edit User Form</i>
                     @else
                     <i class="fa fa" aria-hidden="true">Add User Form</i>
                     @endif   
                     </div>
               </div>                    
            </div>
            <div class="card-body">                        
              <div class="row">
                <div class="col-sm-4">
                   <div class="form-group">  
                      <strong>Name</strong> <b style= 'color:red'>*</b>
                      <input type="text" class="form-control" id="user_name" name="user_name" minlength="2" value="{{ Input::old('user_name') != null ?Input::old('user_name') : $user->user_name; }}">                      
                      <label class="red"> {{ $errors->first('user_name') }}</label>
                   </div>
                </div>
                 <div class="col-sm-4">
                   <strong>Employee Id</strong> <b style= 'color:red'>*</b>
                   <input type="text" class="form-control" id="employee_id" name="employee_id" value="{{ Input::old('employee_id') != null ?Input::old('employee_id') : $user->employee_id; }}">
                   <label class="red"> {{ $errors->first('employee_id') }}</label> 
                </div>
                <div class="col-sm-4">
                   <div class="form-group">  
                      <strong>Mobile Number</strong> <b style= 'color:red'>*</b>
                      <input type="mobile" class="form-control" id="mobile_no" name="mobile_no" minlength="2" value="{{ Input::old('mobile_no') != null? Input::old('mobile_no') : $user->mobile_no}}">
                      <label class="red"> {{ $errors->first('mobile_no') }}</label>
                   </div>
                </div>
              </div>

              <div class="row">                
                <div class="col-sm-4">
                   <div class="form-group">
                      <strong>Email Address</strong> <b style= 'color:red'>*</b>
                      <input type="email" class="form-control" id="email_id" name="email_id" minlength="2" value="{{ Input::old('email_id') != null? Input::old('email_id') : $user->email_id}}">
                      <label class="red"> {{ $errors->first('email_id') }}</label> 
                   </div>
                </div>
                <div class="col-sm-4">
                  <div class="form-group">
                      <strong>Password</strong> <b style= 'color:red'>*</b>
                        <input type="password" name="password" class="form-control" placeholder="Password" required="required">
                    </div>
                </div>
                <div class="col-sm-4">
                   <div class="form-group">
                      <strong>Role</strong>
                      <input type="text" class="form-control" id="role" name="role" value="{{ Input::old('role') != null ?Input::old('role') : $user->role; }}"> 
                   </div>
                </div>
             </div>         

            </div>
            <div class="card-header text-muted">
             
                <div class="col-sm-12 text-center">
                   
                   @if($user->admin_id>0)
                      <strong><input name="update" id="update" type="submit" value="Update" class="btn btn-md btn-success">
                      <strong><input name="cancel" type="button" class="btn btn-md btn-danger" onclick="location.href='{{URL('users')}}'" value="Cancel"></strong>
                      @else
                      <strong><input name="save_cont" type="submit" class="btn btn-md btn-success" value="Save"></strong>                     
                     <!-- <strong><input name="cancel" type="button" class="btn btn-md btn-danger" onclick="location.href='{{URL('users')}}'" value="Cancel"></strong> -->
                  @endif
                   
                </div>
             
            </div>          

    
  <!--  <br/><br/> -->
  
</form>

<br/><br/>
@if(isset($users) && $sno=count($users) )
<h6><strong>User Index</strong></h6>

   <table class="table table-sm table-bordered table-hover">
		<thead class="thead-light">
		    <tr>
				<th>#</th>
				<th>Name</th>
				<th>Employee Id</th>
				<th>Mobile Number</th>
				<th>Email Address</th>
            <th>Role</th>
            <th></th>				
			</tr>
		</thead>

		<tbody>
		
      
		@foreach($users as $key => $user)
					
			<tr>							
				<td>{{ $sno-- }}</td>
				<td>{{ $user->user_name }}</td>
				<td>{{ $user->employee_id }}</td>
				<td>{{ $user->mobile_no }}</td>
            <td>{{ $user->email_id }}</td>
            <td>{{ $user->role }}</td>            
            <td>            
            <a href="{{ url('/users/edituser/'.$user->admin_id) }}"><span class='fas fa-pencil-alt' ></span>
            <a href="{{ url('/users/deluser/'.$user->admin_id) }}"><span class=" fa fa-trash-alt " style="color:red"></span>
            </td>            
				
			</tr>
			<tr>
			</tr>						
					
		@endforeach
		@else
			<tr>
				<td class="alert-danger text-center" colspan="7">
					<!-- <h5>Users not found</h5> -->
				</td>
			</tr>
		@endif
											
		</tbody>
	</table>
             

  
@stop
@section('bottom_script')

<script type="text/javascript">

	$( document ).ready(function() {
      
   });

   // // Wait for the DOM to be ready
   $(function() {
   // Initialize form validation on the registration form.
   // It has the name attribute "registration"
      $("form[name='myForm']").validate({
      // Specify validation rules
      rules: {
         // The key name on the left side is the name attribute
         // of an input field. Validation rules are defined
         // on the right side
         name: 
         {
            required: true         
         },    
         employee_id: 
         {
            required: true         
         },      
         mobile: 
         {
            required: true,
            minlength: 10,
            maxlength: 10          
         },
         email: 
         {
         required: true
                  
         },      
         
         // Specify validation error messages
            messages: {
               name          : "Please enter your customer name",            
               mobile        : "Your mobile number must be 10 numbers",
               email         : "Please enter a valid Email address"           
               
            },
      // Make sure the form is submitted to the destination defined
      // in the "action" attribute of the form when valid
            submitHandler: function(form) {
               form.submit();
            }
         }
      });
   });
</script>
@stop