<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the Closure to execute when that URI is requested.
|
*/

 URL::forceSchema("https"); 

//Added by Balaji on Oct15_2020
      Route::any('/getdashboarddata', array('uses' => 'UserController@getdashboarddata'));
//End

//Added by Balaji on July16_2020
      Route::any('/', array('uses' => 'UserController@getdashboard'));
//End


/*
Author Nandhini 
*/
	 
      /****************************** LOGIN FORM Nandhini *****************************/

      Route::get('register', array('uses' => 'UserController@registerget'));
      Route::post('register', array('uses' => 'UserController@registerpost'));
      Route::get('login', array('uses' => 'UserController@tmgetlogin'));
      Route::post('login', array('uses' => 'UserController@tmpostlogin'));
      Route::get('forget', array('uses' => 'UserController@forgetget'));
      Route::post('forget', array('uses' => 'UserController@forgetpost'));
      Route::get('otpveification/{admin_id}', array('uses' => 'UserController@otpverifyget'));
      Route::post('otpveification/{admin_id}', array('uses' => 'UserController@otpverifypost'));
      Route::get('resetpassword/{admin_id}', array('uses' => 'UserController@resetget'));
      Route::post('resetpassword/{admin_id}', array('uses' => 'UserController@resetpost'));
      Route::get('logout', array('uses' => 'UserController@logout'));

       /****************************** END LOGIN FORM *****************************/

      
       /****************************** CUSTOMER FORM Nandhini *****************************/

  Route::group(array('before' => 'auth'), function()  
   {  
      /****************************** USER DASHBOARD Balaji July 11, 2020 *********************************/
      
        Route::group(array('prefix' => 'dashboard', 'before' => 'dashboard'), function() 
        {
          Route::any('/{admin_id?}', array('uses' => 'UserController@getdashboard'));                 
          Route::any('/getalldata', array('uses' => 'UserController@getdashboarddata'));
          
          Route::post('/dashboardfilter', "UserController@getdashboard");
          Route::any('/filter', "UserController@getdashboardFilter");
          
        });               
      

      /****************************** USER DASHBOARD FORM *****************************************/
      
      Route::group(array('prefix' => 'customers', 'before' => 'customers'), function()
          {
          Route::any('/', array('uses' => 'CustomerController@getCustomers'));
          Route::any('/filter', array('uses' => 'CustomerController@getcustomersFilter'));

          Route::get('customer/{id?}', array('uses' => 'CustomerController@getCustomer'));
          Route::any('postcustomer/{id?}', array('uses' => 'CustomerController@postCustomer'));
          Route::any('delete/{id}', array('uses' => 'CustomerController@deletepost'));
          Route::any('delete_all', array('uses' => 'CustomerController@delete_all'));
          Route::any('views/{id}', array('uses' => 'CustomerController@postview')); 
          Route::any('change_country', array('uses' => 'CustomerController@ChangeCountry'));  

          });
        /****************************** END CUSTOMER FORM *****************************/

        /********************MEASUREMENT FORM Balaji*****************************************/

      Route::group(array('prefix' => 'measurements', 'before' => 'measurements'), function()
      {
          Route::any('/', "MeasurementController@getMeasurements");
          Route::any('/filter', "MeasurementController@getmeasurementsFilter");
          
          Route::get('/addmeasurement', "MeasurementController@addMeasurement");
          Route::post('/measurementfilter', "MeasurementController@getMeasurements");

          Route::any('/getaddress', "MeasurementController@getAddress");  
          Route::post('step1', "MeasurementController@createMeasurement");

          Route::get('step1/{measurement_id}/{measurement_item_id?}', "MeasurementController@createget");
          Route::post('step1/{measurement_id}/{measurement_item_id?}', "MeasurementController@postItem");
          Route::any('delmeasurement/{measurement_id}/{measurement_item_id}',array('as'=>'delete', 'uses'=>'MeasurementController@deleterecord'));        
          Route::any('step2/{measurement_item_id}/{measurement_accessory_id}', array('as'=>'delete', 'uses'=>'MeasurementController@deleteaccessory'));
          Route::get('step2/{measurement_item_id}', "MeasurementController@getStep2");
          Route::post('step2/{measurement_item_id}', "MeasurementController@postStep2");

          ///--New Flow ---///
          Route::get('/addlist/{mob}', "MeasurementController@getAddlist");
          Route::get('/measurementlist/{customer_id}', "MeasurementController@getMeasurementList");
          Route::get('/measurement/{customer_id}', "MeasurementController@createNewMeasurement");
          Route::any('views/{measurement_id}', array('uses' => 'MeasurementController@postview')); 
          Route::any('measurementprint/{id}', array('uses' => 'MeasurementController@printpreview'));
          //delete measurement
          Route::any('delmeasurement/{measurement_id}',array('as'=>'delete', 'uses'=>'MeasurementController@deletemeasurement'));
          //--Duplicate Measurement ---//          
          //Route::any('duplicate/{measurement_id}/{measurement_item_id?}', "MeasurementController@DuplicateItem");
          Route::any('duplicate/{measurement_id}/{customer_id?}', "MeasurementController@DuplicateMeasurement");
          //--end--//
          
          ///--end--///           

      });
      
        /*******************************End MEASUREMENT FORM *********************************/
        
        /****************************** JOB CARD FORM Balaji *********************************/
          
        Route::group(array('before' => 'jobcard'), function()
          {
            
            Route::any('/jobcardindex', array('uses' => 'JobcardController@getJobcardindex'));       
            Route::any('/jobcardfilter', "JobcardController@getjobcardsFilter");
            Route::post('/jobcardsave/{id}', array('uses' => 'JobcardController@saveJobcard')); 
            //Soft delete Jobcard
            Route::any('/deljobcard/{jobcard_id}',array('as'=>'delete', 'uses'=>'JobcardController@deletejobcard'));
            //Route::any('delete_all', array('uses' => 'JobcardController@delete_all'));
            /********** Jobcard from measurement*************/
            Route::any('/jobcard/{measurement_id?}', array('uses' => 'JobcardController@getJobcard'));
            Route::get('jobcard/viewjobcard/{jobcard_id}/{measurement_id}', array('uses' => 'JobcardController@viewJobcard'));  
            Route::get('jobcard/jobcardprint/{jobcard_id}/{measurement_id}', array('uses' => 'JobcardController@printpreview'));
            Route::post('jobcard/jobcardprint/saveselection', array('uses' => 'JobcardController@saveselection'));
            
            /********** Jobcard from quotation*************/
            //Route::any('/jobcard/{quotation_id?}', array('uses' => 'JobcardController@getJobcard'));
            // Route::get('jobcard/viewjobcard/{jobcard_id}/{quotation_id}', array('uses' => 'JobcardController@viewJobcard'));  
            // Route::get('jobcard/jobcardprint/{jobcard_id}/{quotation_id}', array('uses' => 'JobcardController@printpreview'));
              
          });
                 
         /****************************** END JOB CARD *****************************************/
               
        /****************************** USER FORM Balaji Feb 18, 2020 *********************************/

        Route::group(array('prefix' => 'users'), function() 
          {
            Route::any('/{admin_id?}', array('uses' => 'UserController@getusers'));       
            Route::post('/{admin_id?}', array('uses' => 'UserController@postUser'));
            Route::get('edituser/{admin_id}', array('uses' => 'UserController@editUser'));
            Route::post('edituser/{admin_id}', array('uses' => 'UserController@postUser'));
            Route::any('deluser/{admin_id}',array('as'=>'delete', 'uses'=>'UserController@deleteuser'));
            
          });
    
        /************* USER PERMISSIONS Balaji Feb 19, 2020 *********************/

        Route::group(array('prefix' => 'permissions', 'before' => 'permissions'), function()
          {
            Route::get('/', array('uses' => 'PermissionsController@getperm'));       
            Route::post('setperm', array('uses' => 'PermissionsController@postperm'));
            
          });
    
        /****************************** END USER FORM *****************************************/
       
       
        /****************************** QUOTATION FORM Nandhini ******************************/
    //   Route::group(array('prefix' => 'quotations', 'before' => 'quotations'), function()
    //   {
    //       Route::any('/', array('uses' => 'QuotationController@getIndex'));  
    //       Route::any('/filter', array('uses' => 'QuotationController@getquotationFilter'));
    //       Route::any('quotationsave', array('uses' => 'QuotationController@getQuotation'));
    //       Route::get('quotationedit/{id}', array('uses' => 'QuotationController@getEdit'));  
    //       Route::post('quotationedit/{id}', array('uses' => 'QuotationController@postEdit')); 
    //       Route::any('viewquotation/{id}', array('uses' => 'QuotationController@viewQuotation'));
    //       Route::any('delete/{id}', array('uses' => 'QuotationController@deletepost'));
    //       Route::any('delete_all', array('uses' => 'QuotationController@delete_all'));
    //       //Route::post('quotationmail/{id}', array('uses' => 'QuotationController@postQMail'));
    //       Route::any('quotationmail/{id}', array('uses' => 'QuotationController@postQMail'));
    //       //Added by Balaji on July22_2020
    //       Route::any('quotationprint/{id}', array('uses' => 'QuotationController@printpreview'));
    //       //END
    //   });
         /****************************** END QUOTATION FORM ***********************************/


         /****************************** ACCESSORY FORM GANESH **********************************/
      Route::group(array('prefix' => 'accessorys', 'before' => 'accessorys'), function()
      {
          Route::get('/accessory/{id?}','AccessoryController@getAccessory');
          Route::post('/accessory/{id?}','AccessoryController@postAccessory');
                           /*index with filter*/
          Route::any('/', "AccessoryController@getAccessorys");
          Route::any('/filter', "AccessoryController@getAccessorysFilter");
          // Route::any('/pagesize', "AccessoryController@getaccessorysPageSize");
          Route::any('/delete/{accessory_id}', "AccessoryController@delete");
          Route::any('/deleteitem/{item_id}', "AccessoryController@deleteitem");
          Route::any('/multidelete/', "AccessoryController@multidelete");
          Route::get('/edit/{accessory_id}', "AccessoryController@edit");
          Route::post('/edit', "AccessoryController@postedit");
          Route::get('/check', "AccessoryController@getcheck");
          Route::get('itemedit/{accessory_id}/{accessory_item_id?}', "AccessoryController@itemedit");
          Route::post('/itemedit', "AccessoryController@postitemedit");
          Route::get('/additem/{accessory_id}/{accessory_item_id?}', "AccessoryController@additem");
          Route::post('/additem/{accessory_id}/{accessory_item_id?}', "AccessoryController@postadditem");
      }); 
        /****************************** END ACCESSORY FORM ***********************************/
});         
