@extends('layout.layout')
@section('title','Customer Information ') 
@section('head_title','Customer Information')
@section('content') 

<form  class="cmxform" id="customer" name="myForm" action="{{url('customers/postcustomer/'.$customer->customer_id) }}"  method="post" >
 <div class="row">
      <div class="col-sm-12">
         <div class="card">         
            <div id="header_id" class="card-header text-white bg-primary">              
               <div class="row">
                     <div class="col-sm-7">       
                        <i class="fa fa-plus" aria-hidden="true"></i> Add New
                     </div>
               </div>                    
            </div>
            <div class="card-body">                        
              <div class="row">
                <div class="col-sm-6">
                   <div class="form-group">  
                      <strong>Customer Name</strong>
                      <input type="text" class="form-control" id="name" name="name" minlength="2" value="{{ Input::old('name') != null ?Input::old('name') : $customer->name; }}"> 
                      <label class="red"> {{ $errors->first('name') }}</label>
                   </div>
                </div>
                 <div class="col-sm-6">
                   <strong>Address1</strong>
                   <input type="text" class="form-control" id="address1" name="address1" minlength="2" value="{{ Input::old('address1') != null? Input::old('address1') : $customer->address1}}"> 
                   <label class="red"> {{ $errors->first('address1') }}</label>
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                   <div class="form-group"> 
                      <strong>Address2</strong>
                      <input type="text" class="form-control" id="address2" name="address2" minlength="2" value="{{ Input::old('address2') != null? Input::old('address2') : $customer->address2}}">
                      <label class="red"> {{ $errors->first('address2') }}</label>
                   </div>
                </div>
                <div class="col-sm-4">
                   <div class="form-group"> 
                      <strong>Address3</strong>
                      <input type="text" class="form-control" id="address3" name="address3" minlength="2" value="{{ Input::old('address3') != null? Input::old('address3') : $customer->address3}}">
                      <label class="red"> {{ $errors->first('address3') }}</label>
                   </div>
                </div>
                 <div class="col-sm-4">
                   <div class="form-group"> 
                      <strong>Pincode</strong>
                      <input type="number" name="pincode" minlength="2" class="form-control" id="type" value="{{ Input::old('pincode') != null? Input::old('pincode') : $customer->pincode}}">
                      <label class="red"> {{ $errors->first('pincode') }}</label>
                   </div>
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                   <div class="form-group">
                      <strong>Landmark</strong>
                      <input type="text" name="landmark" minlength="2" class="form-control" id="year" value="{{ Input::old('landmark') != null? Input::old('landmark') : $customer->landmark}}">
                      <label class="red"> {{ $errors->first('landmark') }}</label> 
                   </div>
                </div>
                <div class="col-sm-4">
                   <div class="form-group">  
                      <strong>Mobile Number</strong>
                      <input type="number" class="form-control" id="mobile" name="mobile" minlength="2" value="{{ Input::old('mobile') != null? Input::old('mobile') : $customer->mobile}}">
                      <label class="red"> {{ $errors->first('mobile') }}</label>
                   </div>
                </div>
                <div class="col-sm-4">
                   <div class="form-group">
                      <strong>Email Address</strong>
                      <input type="email" class="form-control" id="email" name="email" minlength="2" value="{{ Input::old('email') != null? Input::old('email') : $customer->email}}">
                      <label class="red"> {{ $errors->first('email') }}</label> 
                   </div>
                </div>
             </div>         
             <div class="row">     
                <div class="col-sm-4">
                   <div class="form-group"> 
                      <strong>City</strong>
                      <input type="text" name="city" minlength="4" class="form-control" id="sub_type" value="{{ Input::old('city') != null? Input::old('city') : $customer->city}}">
                      <label class="red"> {{ $errors->first('city') }}</label>
                   </div>
                </div>
                <div class="col-sm-4">
                <div class="form-group">
                      <strong>Country</strong>
                      <!--updated by Balaji 2020-02-11-->
                      {{ Form::select('country_id', array(''=> '--Select--') +$country, (isset($customer->country_id)? $customer->country_id: 100), ["class"=>"form-control col", "id"=>"country"]) }}
                      <!--{{ Form::select('country_id', array(''=> '--Select--') +$country, $customer->country_id , ["class"=>"form-control col", "id"=>"country"]) }}-->
                      <label class="red"> {{ $errors->first('country_id') }}</label>
                      <!--END 2020-02-11-->
                   </div>
                   
                </div>
                <div class="col-sm-4">
                   <div class="form-group"> 
                      <strong>State</strong>
                      {{ Form::select('state_id', array(''=> '--Select--') +$states, $customer->state_id , ["class"=>"form-control col","id"=>"state"]) }}
                      <label class="red"> {{ $errors->first('state_id') }}</label>
                   </div>
                </div>      
             </div>
            </div>
            <div class="card-header text-muted">
             <div class="row">
                <!--updated by Balaji 2020-02-11-->
                <div class="col-sm-12 text-center">
                   <div class="">
                   @if($customer->customer_id>0)
                      <strong><input name="update" id="update" type="submit" value="update" class="btn btn-md btn-success">
                      <strong><input name="cancel" type="button" class="btn btn-md btn-danger" onclick="location.href='{{URL('customers')}}'" value="Cancel"></strong>
                      @else
                      <strong><input name="save_cont" type="submit" class="btn btn-md btn-success" value="Save"></strong>
                     <!--<strong> <input  name="save_exit" type="submit" class="btn btn-md btn-warning" value="Save and Exit"></strong>-->
                      <!--<strong><input name="cancel" type="button" class="btn btn-md btn-danger" onclick="location.href='{{URL('customers')}}'" value="Cancel"></strong>-->
                <!--END 2020-02-11-->
                  @endif
                   </div>
                </div>
             </div>
             </div>                 
      </div>
</div>   


    
  <!--  <br/><br/> -->
  
</form>
@stop
@section('bottom_script')
<script type="text/javascript">
// updated by Balaji 2020-02-11//
	$( document ).ready(function() {
      get_states();
   });
// END 2020-02-11//   
//change function in country and state
// var countryVal;
$("#country").change(function() {
    // updated by Balaji 2020-02-11//
    get_states();
    // END 2020-02-11//
 // $("form").validate().cancelSubmit = true;
 // $("#customer").attr("action",baseUrl+ '/customers/change_country');
 // $("#customer").submit();
        // $.ajax({
        //   url : baseUrl+'/customers/change_country',
        //   type: "POST",
        //   dataType: 'json',
        //   data: { country_id : $("#country").val()},
        //   success: function (data) {
        //   console.log(data);             
        //   $('#state').html('');
        //   $('#state').append($("<option></option>").attr("value","").text("-- select --")); 
        //   $.each(data, function(key, value) {   
        //          $('#state').append($("<option></option>")
        //                         .attr("value",key)
        //                         .text(value)); 
        //     });
    
           
        //     },
          
        //   error: function (jqXhr, textStatus, errorMessage) {
        //           alert('Error' + errorMessage);
        //   }     
        // }); 


});
   
   // updated by Balaji 2020-02-11//
   function get_states()
    {
       $.ajax({
              url : baseUrl+'/customers/change_country',
              type: "POST",
              dataType: 'json',
              data: { country_id : $("#country").val()},
              success: function (data) {
              console.log(data);             
              $('#state').html('');
              $('#state').append($("<option></option>").attr("value","").text("-- select --")); 
              $.each(data, function(key, value) {   
                     $('#state').append($("<option></option>")
                                    .attr("value",key)
                                    .text(value)); 
                });
                
                $('#state').val({{$customer->state_id}});    
                },
              
              error: function (jqXhr, textStatus, errorMessage) {
                      alert('Error' + errorMessage);
              }     
            });
    }
   
   // END 2020-02-11//
   
   // // Wait for the DOM to be ready
   $(function() {
   // Initialize form validation on the registration form.
   // It has the name attribute "registration"
   $("form[name='myForm']").validate({
    // Specify validation rules
    rules: {
      // The key name on the left side is the name attribute
      // of an input field. Validation rules are defined
      // on the right side
      name: 
      {
         required: true         
      },
    //   address1: 
    //   {
    //     required: true         
    //   },
    //   address2: 
    //   {
    //     required: true         
    //   },
    //   address3: 
    //   {
    //     required: true         
    //   },
    //   landmark: 
    //   {
    //     required: true         
    //   },
      
    //   pincode: 
    //   {
    //      required: true,
    //      maxlength: 6     
    //      // minlength: 6
    //   },
      mobile: 
      {
         required: true,
         minlength: 10,
         maxlength: 10          
      },
      email: 
      {
        required: true
                
      },
      city: 
      {
         required: true    
      },
      state_id: 
      {
         required: true         
      },
      country_id: 
      {
         required: true         
      },
    //   lanmark: 
    //   {
    //      required: true    
    //   },
       // Specify validation error messages
          messages: {
              name          : "Please enter your customer name",
            //   address1       : "Please enter a valid address1", 
            //   address2       : "Please enter a valid address2", 
            //   address3       : "Please enter a valid address3", 
              mobile        : "Your mobile number must be 10 numbers",
              email         : "Please enter a valid Email address", 
            //   pincode       : "Your pincode must be at least 6 numbers",
              city          : "Please enter your city",
              state_id      : "Please enter your state",
              country_id    : "Please enter your country",
            //   lankmark      : "Please enter your landmark"
          },
    // Make sure the form is submitted to the destination defined
    // in the "action" attribute of the form when valid
    submitHandler: function(form) {
      form.submit();
    }
   }
   });
   });
</script>
@stop